package Bencher::ScenarioR::SetOperationModules;

our $VERSION = "0.10"; # VERSION

our $results = [
  [
    200,
    "OK",
    [
      {
        dataset     => "num100",
        errors      => 9.1e-05,
        participant => "Array::AsObject::symmetric_difference",
        rate        => 79,
        samples     => 20,
        time        => 13,
        vs_slowest  => 1,
      },
      {
        dataset     => "num100",
        errors      => 6.1e-05,
        participant => "Array::AsObject::intersection",
        rate        => 160,
        samples     => 20,
        time        => 6.2,
        vs_slowest  => 2,
      },
      {
        dataset     => "num100",
        errors      => 4.3e-06,
        participant => "Array::AsObject::difference",
        rate        => 330,
        samples     => 22,
        time        => 3.1,
        vs_slowest  => 4.1,
      },
      {
        dataset     => "num100",
        errors      => 7e-06,
        participant => "Set::Array::intersection",
        rate        => 440,
        samples     => 36,
        time        => 2.3,
        vs_slowest  => 5.6,
      },
      {
        dataset     => "num100",
        errors      => 4.3e-07,
        participant => "Set::Scalar::intersection",
        rate        => 1410,
        samples     => 20,
        time        => 0.711,
        vs_slowest  => 17.9,
      },
      {
        dataset     => "num100",
        errors      => 9.1e-07,
        participant => "Set::Scalar::union",
        rate        => 1500,
        samples     => 20,
        time        => 0.68,
        vs_slowest  => 19,
      },
      {
        dataset     => "num100",
        errors      => 2.1e-07,
        participant => "Set::Scalar::difference",
        rate        => 1550,
        samples     => 20,
        time        => 0.644,
        vs_slowest  => 19.7,
      },
      {
        dataset     => "num100",
        errors      => 4.3e-07,
        participant => "Set::Scalar::symmetric_difference",
        rate        => 2120,
        samples     => 20,
        time        => 0.472,
        vs_slowest  => 26.9,
      },
      {
        dataset     => "num10",
        errors      => 2.9e-06,
        participant => "Array::AsObject::symmetric_difference",
        rate        => 4000,
        samples     => 23,
        time        => 0.3,
        vs_slowest  => 50,
      },
      {
        dataset     => "num100",
        errors      => 2.3e-07,
        participant => "Set::Object::symmetric_difference",
        rate        => 7000,
        samples     => 28,
        time        => 0.14,
        vs_slowest  => 89,
      },
      {
        dataset     => "num10",
        errors      => 3.4e-11,
        participant => "Array::AsObject::intersection",
        rate        => 7666,
        samples     => 22,
        time        => 0.130446,
        vs_slowest  => 97.3485,
      },
      {
        dataset     => "num10",
        errors      => 2.2e-07,
        participant => "Set::Scalar::intersection",
        rate        => 7700,
        samples     => 29,
        time        => 0.13,
        vs_slowest  => 98,
      },
      {
        dataset     => "num100",
        errors      => 2.3e-07,
        participant => "Array::AsObject::union",
        rate        => 7900,
        samples     => 28,
        time        => 0.13,
        vs_slowest  => 100,
      },
      {
        dataset     => "num10",
        errors      => 1.9e-07,
        participant => "Set::Scalar::union",
        rate        => 8000,
        samples     => 25,
        time        => 0.12,
        vs_slowest  => 100,
      },
      {
        dataset     => "num100",
        errors      => 1.8e-07,
        participant => "Set::Object::intersection",
        rate        => 8100,
        samples     => 28,
        time        => 0.12,
        vs_slowest  => 100,
      },
      {
        dataset     => "num10",
        errors      => 2.3e-07,
        participant => "Set::Scalar::difference",
        rate        => 8200,
        samples     => 27,
        time        => 0.12,
        vs_slowest  => 100,
      },
      {
        dataset     => "num100",
        errors      => 4.3e-07,
        participant => "Set::Array::symmetric_difference",
        rate        => 9000,
        samples     => 20,
        time        => 0.11,
        vs_slowest  => 110,
      },
      {
        dataset     => "num100",
        errors      => 1.3e-07,
        participant => "Set::Array::difference",
        rate        => 10000,
        samples     => 20,
        time        => 0.097,
        vs_slowest  => 130,
      },
      {
        dataset     => "num100",
        errors      => 1.1e-07,
        participant => "Set::Object::union",
        rate        => 10000,
        samples     => 20,
        time        => 0.095,
        vs_slowest  => 130,
      },
      {
        dataset     => "num100",
        errors      => 1e-07,
        participant => "Set::Tiny::symmetric_difference",
        rate        => 12000,
        samples     => 22,
        time        => 0.086,
        vs_slowest  => 150,
      },
      {
        dataset     => "num100",
        errors      => 1.2e-07,
        participant => "Set::Object::difference",
        rate        => 12000,
        samples     => 24,
        time        => 0.082,
        vs_slowest  => 150,
      },
      {
        dataset     => "num100",
        errors      => 9.7e-08,
        participant => "Set::Array::union",
        rate        => 12000,
        samples     => 24,
        time        => 0.08,
        vs_slowest  => 160,
      },
      {
        dataset     => "num100",
        errors      => 1.1e-07,
        participant => "Set::Tiny::difference",
        rate        => 13000,
        samples     => 20,
        time        => 0.079,
        vs_slowest  => 160,
      },
      {
        dataset     => "num100",
        errors      => 1.9e-07,
        participant => "Set::Tiny::union",
        rate        => 13000,
        samples     => 31,
        time        => 0.079,
        vs_slowest  => 160,
      },
      {
        dataset     => "num10",
        errors      => 2.7e-08,
        participant => "Set::Scalar::symmetric_difference",
        rate        => 13000,
        samples     => 20,
        time        => 0.0769,
        vs_slowest  => 165,
      },
      {
        dataset     => "num100",
        errors      => 8e-08,
        participant => "Set::Tiny::intersection",
        rate        => 15000,
        samples     => 20,
        time        => 0.068,
        vs_slowest  => 190,
      },
      {
        dataset     => "num100",
        errors      => 2.7e-08,
        participant => "Array::Set::set_symdiff",
        rate        => 14800,
        samples     => 20,
        time        => 0.0676,
        vs_slowest  => 188,
      },
      {
        dataset     => "num100",
        errors      => 9.8e-12,
        participant => "Array::Set::set_intersect",
        rate        => 15551.5,
        samples     => 22,
        time        => 0.0643027,
        vs_slowest  => 197.484,
      },
      {
        dataset     => "num100",
        errors      => 2.7e-08,
        participant => "Array::Set::set_union",
        rate        => 17300,
        samples     => 20,
        time        => 0.0578,
        vs_slowest  => 220,
      },
      {
        dataset     => "num10",
        errors      => 2.7e-08,
        participant => "Array::AsObject::difference",
        rate        => 18000,
        samples     => 20,
        time        => 0.0555,
        vs_slowest  => 229,
      },
      {
        dataset     => "num100",
        errors      => 1.1e-07,
        participant => "List::MoreUtils::PP::singleton",
        rate        => 18000,
        samples     => 20,
        time        => 0.055,
        vs_slowest  => 230,
      },
      {
        dataset     => "num100",
        errors      => 2.5e-08,
        participant => "Array::Utils::array_diff",
        rate        => 19000,
        samples     => 23,
        time        => 0.0526,
        vs_slowest  => 241,
      },
      {
        dataset     => "num100",
        errors      => 6.4e-08,
        participant => "Array::Set::set_diff",
        rate        => 21000,
        samples     => 22,
        time        => 0.047,
        vs_slowest  => 270,
      },
      {
        dataset     => "num100",
        errors      => 1.2e-08,
        participant => "Array::Utils::array_minus",
        rate        => 21800,
        samples     => 24,
        time        => 0.0459,
        vs_slowest  => 276,
      },
      {
        dataset     => "num100",
        errors      => 3.4e-11,
        participant => "Array::Utils::intersect",
        rate        => 21884.2,
        samples     => 20,
        time        => 0.0456952,
        vs_slowest  => 277.901,
      },
      {
        dataset     => "num100",
        errors      => 5.3e-08,
        participant => "List::MoreUtils::PP::uniq",
        rate        => 24000,
        samples     => 20,
        time        => 0.042,
        vs_slowest  => 300,
      },
      {
        dataset     => "num10",
        errors      => 1.8e-10,
        participant => "Set::Array::intersection",
        rate        => 25605,
        samples     => 20,
        time        => 0.039055,
        vs_slowest  => 325.15,
      },
      {
        dataset     => "num100",
        errors      => 0,
        participant => "List::MoreUtils::XS::singleton",
        rate        => 30088.2,
        samples     => 20,
        time        => 0.0332356,
        vs_slowest  => 382.083,
      },
      {
        dataset     => "num100",
        errors      => 2.7e-08,
        participant => "List::MoreUtils::XS::uniq",
        rate        => 44000,
        samples     => 20,
        time        => 0.023,
        vs_slowest  => 560,
      },
      {
        dataset     => "num10",
        errors      => 2.7e-08,
        participant => "Set::Object::symmetric_difference",
        rate        => 45000,
        samples     => 20,
        time        => 0.022,
        vs_slowest  => 570,
      },
      {
        dataset     => "num10",
        errors      => 5.2e-08,
        participant => "Set::Array::difference",
        rate        => 47000,
        samples     => 27,
        time        => 0.021,
        vs_slowest  => 590,
      },
      {
        dataset     => "num10",
        errors      => 2.7e-08,
        participant => "Set::Array::symmetric_difference",
        rate        => 49000,
        samples     => 30,
        time        => 0.02,
        vs_slowest  => 630,
      },
      {
        dataset     => "num10",
        errors      => 4.8e-11,
        participant => "Array::AsObject::union",
        rate        => 53498,
        samples     => 29,
        time        => 0.018692,
        vs_slowest  => 679.36,
      },
      {
        dataset     => "num10",
        errors      => 6.7e-09,
        participant => "Set::Object::intersection",
        rate        => 66400,
        samples     => 20,
        time        => 0.0151,
        vs_slowest  => 843,
      },
      {
        dataset     => "num10",
        errors      => 6.7e-09,
        participant => "Set::Array::union",
        rate        => 66600,
        samples     => 20,
        time        => 0.015,
        vs_slowest  => 846,
      },
      {
        dataset     => "num10",
        errors      => 1.3e-08,
        participant => "Set::Object::union",
        rate        => 80000,
        samples     => 20,
        time        => 0.013,
        vs_slowest  => 1000,
      },
      {
        dataset     => "num10",
        errors      => 3.3e-09,
        participant => "Set::Object::difference",
        rate        => 92700,
        samples     => 20,
        time        => 0.0108,
        vs_slowest  => 1180,
      },
      {
        dataset     => "num10",
        errors      => 1.3e-08,
        participant => "Set::Tiny::symmetric_difference",
        rate        => 97000,
        samples     => 21,
        time        => 0.01,
        vs_slowest  => 1200,
      },
      {
        dataset     => "num10",
        errors      => 2.6e-08,
        participant => "Set::Tiny::difference",
        rate        => 110000,
        samples     => 26,
        time        => 0.0091,
        vs_slowest  => 1400,
      },
      {
        dataset     => "num10",
        errors      => 1e-08,
        participant => "Set::Tiny::union",
        rate        => 110000,
        samples     => 20,
        time        => 0.0091,
        vs_slowest  => 1400,
      },
      {
        dataset     => "num10",
        errors      => 2.8e-09,
        participant => "Array::Set::set_symdiff",
        rate        => 127000,
        samples     => 29,
        time        => 0.0079,
        vs_slowest  => 1610,
      },
      {
        dataset     => "num10",
        errors      => 3.2e-09,
        participant => "Set::Tiny::intersection",
        rate        => 130000,
        samples     => 22,
        time        => 0.00767,
        vs_slowest  => 1660,
      },
      {
        dataset     => "num10",
        errors      => 3.3e-09,
        participant => "Array::Set::set_intersect",
        rate        => 133000,
        samples     => 20,
        time        => 0.0075,
        vs_slowest  => 1690,
      },
      {
        dataset     => "num10",
        errors      => 8.9e-09,
        participant => "Array::Set::set_union",
        rate        => 140000,
        samples     => 25,
        time        => 0.0069,
        vs_slowest  => 1800,
      },
      {
        dataset     => "num10",
        errors      => 3.4e-11,
        participant => "Array::Utils::array_diff",
        rate        => 156400,
        samples     => 36,
        time        => 0.0063939,
        vs_slowest  => 1986.1,
      },
      {
        dataset     => "num10",
        errors      => 6.7e-09,
        participant => "List::MoreUtils::PP::singleton",
        rate        => 170000,
        samples     => 20,
        time        => 0.0061,
        vs_slowest  => 2100,
      },
      {
        dataset     => "num10",
        errors      => 5e-09,
        participant => "Array::Set::set_diff",
        rate        => 167000,
        samples     => 20,
        time        => 0.00598,
        vs_slowest  => 2120,
      },
      {
        dataset     => "num100",
        errors      => 6.7e-09,
        participant => "Array::Utils::unique",
        rate        => 170000,
        samples     => 20,
        time        => 0.0057,
        vs_slowest  => 2200,
      },
      {
        dataset     => "num10",
        errors      => 1.7e-09,
        participant => "Array::Utils::intersect",
        rate        => 192000,
        samples     => 20,
        time        => 0.00521,
        vs_slowest  => 2440,
      },
      {
        dataset     => "num10",
        errors      => 1.3e-09,
        participant => "Array::Utils::array_minus",
        rate        => 192000,
        samples     => 32,
        time        => 0.0052,
        vs_slowest  => 2440,
      },
      {
        dataset     => "num10",
        errors      => 1.7e-09,
        participant => "List::MoreUtils::PP::uniq",
        rate        => 214000,
        samples     => 20,
        time        => 0.00468,
        vs_slowest  => 2710,
      },
      {
        dataset     => "num10",
        errors      => 1.6e-09,
        participant => "List::MoreUtils::XS::singleton",
        rate        => 303000,
        samples     => 22,
        time        => 0.0033,
        vs_slowest  => 3840,
      },
      {
        dataset     => "num10",
        errors      => 6.7e-09,
        participant => "List::MoreUtils::XS::uniq",
        rate        => 380000,
        samples     => 20,
        time        => 0.0027,
        vs_slowest  => 4800,
      },
      {
        dataset     => "num10",
        errors      => 9.5e-11,
        participant => "Array::Utils::unique",
        rate        => 585600,
        samples     => 32,
        time        => 0.001708,
        vs_slowest  => 7436,
      },
    ],
    {
      "func.bencher_args"              => {
                                            action => "bench",
                                            note => "Run by Pod::Weaver::Plugin::Bencher::Scenario",
                                            scenario_module => "SetOperationModules",
                                          },
      "func.bencher_version"           => undef,
      "func.cpu_info"                  => [
                                            {
                                              address_width                => 64,
                                              architecture                 => "AMD-64",
                                              bus_speed                    => undef,
                                              data_width                   => 64,
                                              family                       => 6,
                                              flags                        => [
                                                                                "fpu",
                                                                                "vme",
                                                                                "de",
                                                                                "pse",
                                                                                "tsc",
                                                                                "msr",
                                                                                "pae",
                                                                                "mce",
                                                                                "cx8",
                                                                                "apic",
                                                                                "sep",
                                                                                "mtrr",
                                                                                "pge",
                                                                                "mca",
                                                                                "cmov",
                                                                                "pat",
                                                                                "pse36",
                                                                                "clflush",
                                                                                "dts",
                                                                                "acpi",
                                                                                "mmx",
                                                                                "fxsr",
                                                                                "sse",
                                                                                "sse2",
                                                                                "ss",
                                                                                "ht",
                                                                                "tm",
                                                                                "pbe",
                                                                                "syscall",
                                                                                "nx",
                                                                                "pdpe1gb",
                                                                                "rdtscp",
                                                                                "lm",
                                                                                "constant_tsc",
                                                                                "arch_perfmon",
                                                                                "pebs",
                                                                                "bts",
                                                                                "rep_good",
                                                                                "nopl",
                                                                                "xtopology",
                                                                                "nonstop_tsc",
                                                                                "aperfmperf",
                                                                                "eagerfpu",
                                                                                "pni",
                                                                                "pclmulqdq",
                                                                                "dtes64",
                                                                                "monitor",
                                                                                "ds_cpl",
                                                                                "vmx",
                                                                                "smx",
                                                                                "est",
                                                                                "tm2",
                                                                                "ssse3",
                                                                                "fma",
                                                                                "cx16",
                                                                                "xtpr",
                                                                                "pdcm",
                                                                                "pcid",
                                                                                "sse4_1",
                                                                                "sse4_2",
                                                                                "x2apic",
                                                                                "movbe",
                                                                                "popcnt",
                                                                                "tsc_deadline_timer",
                                                                                "aes",
                                                                                "xsave",
                                                                                "avx",
                                                                                "f16c",
                                                                                "rdrand",
                                                                                "lahf_lm",
                                                                                "abm",
                                                                                "3dnowprefetch",
                                                                                "ida",
                                                                                "arat",
                                                                                "epb",
                                                                                "pln",
                                                                                "pts",
                                                                                "dtherm",
                                                                                "tpr_shadow",
                                                                                "vnmi",
                                                                                "flexpriority",
                                                                                "ept",
                                                                                "vpid",
                                                                                "fsgsbase",
                                                                                "tsc_adjust",
                                                                                "bmi1",
                                                                                "hle",
                                                                                "avx2",
                                                                                "smep",
                                                                                "bmi2",
                                                                                "erms",
                                                                                "invpcid",
                                                                                "rtm",
                                                                                "rdseed",
                                                                                "adx",
                                                                                "smap",
                                                                                "xsaveopt",
                                                                              ],
                                              L2_cache                     => { max_cache_size => "4096 KB" },
                                              manufacturer                 => "GenuineIntel",
                                              model                        => 61,
                                              name                         => "Intel(R) Core(TM) M-5Y71 CPU \@ 1.20GHz",
                                              number_of_cores              => 2,
                                              number_of_logical_processors => 4,
                                              processor_id                 => 0,
                                              speed                        => 2775.007,
                                              stepping                     => 4,
                                            },
                                            {
                                              address_width                => 64,
                                              architecture                 => "AMD-64",
                                              bus_speed                    => undef,
                                              data_width                   => 64,
                                              family                       => 6,
                                              flags                        => [
                                                                                "fpu",
                                                                                "vme",
                                                                                "de",
                                                                                "pse",
                                                                                "tsc",
                                                                                "msr",
                                                                                "pae",
                                                                                "mce",
                                                                                "cx8",
                                                                                "apic",
                                                                                "sep",
                                                                                "mtrr",
                                                                                "pge",
                                                                                "mca",
                                                                                "cmov",
                                                                                "pat",
                                                                                "pse36",
                                                                                "clflush",
                                                                                "dts",
                                                                                "acpi",
                                                                                "mmx",
                                                                                "fxsr",
                                                                                "sse",
                                                                                "sse2",
                                                                                "ss",
                                                                                "ht",
                                                                                "tm",
                                                                                "pbe",
                                                                                "syscall",
                                                                                "nx",
                                                                                "pdpe1gb",
                                                                                "rdtscp",
                                                                                "lm",
                                                                                "constant_tsc",
                                                                                "arch_perfmon",
                                                                                "pebs",
                                                                                "bts",
                                                                                "rep_good",
                                                                                "nopl",
                                                                                "xtopology",
                                                                                "nonstop_tsc",
                                                                                "aperfmperf",
                                                                                "eagerfpu",
                                                                                "pni",
                                                                                "pclmulqdq",
                                                                                "dtes64",
                                                                                "monitor",
                                                                                "ds_cpl",
                                                                                "vmx",
                                                                                "smx",
                                                                                "est",
                                                                                "tm2",
                                                                                "ssse3",
                                                                                "fma",
                                                                                "cx16",
                                                                                "xtpr",
                                                                                "pdcm",
                                                                                "pcid",
                                                                                "sse4_1",
                                                                                "sse4_2",
                                                                                "x2apic",
                                                                                "movbe",
                                                                                "popcnt",
                                                                                "tsc_deadline_timer",
                                                                                "aes",
                                                                                "xsave",
                                                                                "avx",
                                                                                "f16c",
                                                                                "rdrand",
                                                                                "lahf_lm",
                                                                                "abm",
                                                                                "3dnowprefetch",
                                                                                "ida",
                                                                                "arat",
                                                                                "epb",
                                                                                "pln",
                                                                                "pts",
                                                                                "dtherm",
                                                                                "tpr_shadow",
                                                                                "vnmi",
                                                                                "flexpriority",
                                                                                "ept",
                                                                                "vpid",
                                                                                "fsgsbase",
                                                                                "tsc_adjust",
                                                                                "bmi1",
                                                                                "hle",
                                                                                "avx2",
                                                                                "smep",
                                                                                "bmi2",
                                                                                "erms",
                                                                                "invpcid",
                                                                                "rtm",
                                                                                "rdseed",
                                                                                "adx",
                                                                                "smap",
                                                                                "xsaveopt",
                                                                              ],
                                              L2_cache                     => { max_cache_size => "4096 KB" },
                                              manufacturer                 => "GenuineIntel",
                                              model                        => 61,
                                              name                         => "Intel(R) Core(TM) M-5Y71 CPU \@ 1.20GHz",
                                              number_of_cores              => 2,
                                              number_of_logical_processors => 4,
                                              processor_id                 => 1,
                                              speed                        => 2744.929,
                                              stepping                     => 4,
                                            },
                                            {
                                              address_width                => 64,
                                              architecture                 => "AMD-64",
                                              bus_speed                    => undef,
                                              data_width                   => 64,
                                              family                       => 6,
                                              flags                        => [
                                                                                "fpu",
                                                                                "vme",
                                                                                "de",
                                                                                "pse",
                                                                                "tsc",
                                                                                "msr",
                                                                                "pae",
                                                                                "mce",
                                                                                "cx8",
                                                                                "apic",
                                                                                "sep",
                                                                                "mtrr",
                                                                                "pge",
                                                                                "mca",
                                                                                "cmov",
                                                                                "pat",
                                                                                "pse36",
                                                                                "clflush",
                                                                                "dts",
                                                                                "acpi",
                                                                                "mmx",
                                                                                "fxsr",
                                                                                "sse",
                                                                                "sse2",
                                                                                "ss",
                                                                                "ht",
                                                                                "tm",
                                                                                "pbe",
                                                                                "syscall",
                                                                                "nx",
                                                                                "pdpe1gb",
                                                                                "rdtscp",
                                                                                "lm",
                                                                                "constant_tsc",
                                                                                "arch_perfmon",
                                                                                "pebs",
                                                                                "bts",
                                                                                "rep_good",
                                                                                "nopl",
                                                                                "xtopology",
                                                                                "nonstop_tsc",
                                                                                "aperfmperf",
                                                                                "eagerfpu",
                                                                                "pni",
                                                                                "pclmulqdq",
                                                                                "dtes64",
                                                                                "monitor",
                                                                                "ds_cpl",
                                                                                "vmx",
                                                                                "smx",
                                                                                "est",
                                                                                "tm2",
                                                                                "ssse3",
                                                                                "fma",
                                                                                "cx16",
                                                                                "xtpr",
                                                                                "pdcm",
                                                                                "pcid",
                                                                                "sse4_1",
                                                                                "sse4_2",
                                                                                "x2apic",
                                                                                "movbe",
                                                                                "popcnt",
                                                                                "tsc_deadline_timer",
                                                                                "aes",
                                                                                "xsave",
                                                                                "avx",
                                                                                "f16c",
                                                                                "rdrand",
                                                                                "lahf_lm",
                                                                                "abm",
                                                                                "3dnowprefetch",
                                                                                "ida",
                                                                                "arat",
                                                                                "epb",
                                                                                "pln",
                                                                                "pts",
                                                                                "dtherm",
                                                                                "tpr_shadow",
                                                                                "vnmi",
                                                                                "flexpriority",
                                                                                "ept",
                                                                                "vpid",
                                                                                "fsgsbase",
                                                                                "tsc_adjust",
                                                                                "bmi1",
                                                                                "hle",
                                                                                "avx2",
                                                                                "smep",
                                                                                "bmi2",
                                                                                "erms",
                                                                                "invpcid",
                                                                                "rtm",
                                                                                "rdseed",
                                                                                "adx",
                                                                                "smap",
                                                                                "xsaveopt",
                                                                              ],
                                              L2_cache                     => { max_cache_size => "4096 KB" },
                                              manufacturer                 => "GenuineIntel",
                                              model                        => 61,
                                              name                         => "Intel(R) Core(TM) M-5Y71 CPU \@ 1.20GHz",
                                              number_of_cores              => 2,
                                              number_of_logical_processors => 4,
                                              processor_id                 => 2,
                                              speed                        => 2602.851,
                                              stepping                     => 4,
                                            },
                                            {
                                              address_width                => 64,
                                              architecture                 => "AMD-64",
                                              bus_speed                    => undef,
                                              data_width                   => 64,
                                              family                       => 6,
                                              flags                        => [
                                                                                "fpu",
                                                                                "vme",
                                                                                "de",
                                                                                "pse",
                                                                                "tsc",
                                                                                "msr",
                                                                                "pae",
                                                                                "mce",
                                                                                "cx8",
                                                                                "apic",
                                                                                "sep",
                                                                                "mtrr",
                                                                                "pge",
                                                                                "mca",
                                                                                "cmov",
                                                                                "pat",
                                                                                "pse36",
                                                                                "clflush",
                                                                                "dts",
                                                                                "acpi",
                                                                                "mmx",
                                                                                "fxsr",
                                                                                "sse",
                                                                                "sse2",
                                                                                "ss",
                                                                                "ht",
                                                                                "tm",
                                                                                "pbe",
                                                                                "syscall",
                                                                                "nx",
                                                                                "pdpe1gb",
                                                                                "rdtscp",
                                                                                "lm",
                                                                                "constant_tsc",
                                                                                "arch_perfmon",
                                                                                "pebs",
                                                                                "bts",
                                                                                "rep_good",
                                                                                "nopl",
                                                                                "xtopology",
                                                                                "nonstop_tsc",
                                                                                "aperfmperf",
                                                                                "eagerfpu",
                                                                                "pni",
                                                                                "pclmulqdq",
                                                                                "dtes64",
                                                                                "monitor",
                                                                                "ds_cpl",
                                                                                "vmx",
                                                                                "smx",
                                                                                "est",
                                                                                "tm2",
                                                                                "ssse3",
                                                                                "fma",
                                                                                "cx16",
                                                                                "xtpr",
                                                                                "pdcm",
                                                                                "pcid",
                                                                                "sse4_1",
                                                                                "sse4_2",
                                                                                "x2apic",
                                                                                "movbe",
                                                                                "popcnt",
                                                                                "tsc_deadline_timer",
                                                                                "aes",
                                                                                "xsave",
                                                                                "avx",
                                                                                "f16c",
                                                                                "rdrand",
                                                                                "lahf_lm",
                                                                                "abm",
                                                                                "3dnowprefetch",
                                                                                "ida",
                                                                                "arat",
                                                                                "epb",
                                                                                "pln",
                                                                                "pts",
                                                                                "dtherm",
                                                                                "tpr_shadow",
                                                                                "vnmi",
                                                                                "flexpriority",
                                                                                "ept",
                                                                                "vpid",
                                                                                "fsgsbase",
                                                                                "tsc_adjust",
                                                                                "bmi1",
                                                                                "hle",
                                                                                "avx2",
                                                                                "smep",
                                                                                "bmi2",
                                                                                "erms",
                                                                                "invpcid",
                                                                                "rtm",
                                                                                "rdseed",
                                                                                "adx",
                                                                                "smap",
                                                                                "xsaveopt",
                                                                              ],
                                              L2_cache                     => { max_cache_size => "4096 KB" },
                                              manufacturer                 => "GenuineIntel",
                                              model                        => 61,
                                              name                         => "Intel(R) Core(TM) M-5Y71 CPU \@ 1.20GHz",
                                              number_of_cores              => 2,
                                              number_of_logical_processors => 4,
                                              processor_id                 => 3,
                                              speed                        => 2789.937,
                                              stepping                     => 4,
                                            },
                                          ],
      "func.elapsed_time"              => 2.08210802078247,
      "func.module_startup"            => undef,
      "func.module_versions"           => {
                                            "__PACKAGE__"                            => 1.034,
                                            "Array::AsObject"                        => 1.02,
                                            "Array::Set"                             => 0.05,
                                            "Array::Utils"                           => 0.5,
                                            "Bencher::Scenario::SetOperationModules" => undef,
                                            "Benchmark::Dumb"                        => "0.10",
                                            "Devel::Platform::Info"                  => 0.16,
                                            "List::MoreUtils"                        => 0.416,
                                            "List::MoreUtils::PP"                    => 0.416,
                                            "perl"                                   => "v5.24.0",
                                            "Set::Array"                             => "0.30",
                                            "Set::Object"                            => 1.35,
                                            "Set::Scalar"                            => 1.29,
                                            "Set::Tiny"                              => 0.04,
                                            "Sys::Info"                              => 0.78,
                                          },
      "func.note"                      => "Run by Pod::Weaver::Plugin::Bencher::Scenario",
      "func.permute"                   => ["perl", ["perl"], "participant", [0 .. 31], "dataset", [0, 1]],
      "func.platform_info"             => {
                                            archname => "x86_64",
                                            codename => "rosa",
                                            is32bit  => 0,
                                            is64bit  => 1,
                                            kernel   => "linux-3.19.0-32-generic",
                                            kname    => "Linux",
                                            kvers    => "3.19.0-32-generic",
                                            osflag   => "linux",
                                            oslabel  => "LinuxMint",
                                            osname   => "GNU/Linux",
                                            osvers   => 17.3,
                                            source   => {
                                                          "cat /etc/.issue" => "",
                                                          "cat /etc/issue"  => "Linux Mint 17.3 Rosa \\n \\l",
                                                          "lsb_release -a"  => "Distributor ID:\tLinuxMint\nDescription:\tLinux Mint 17.3 Rosa\nRelease:\t17.3\nCodename:\trosa",
                                                          "uname -a"        => "Linux backpacker 3.19.0-32-generic #37~14.04.1-Ubuntu SMP Thu Oct 22 09:41:40 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux",
                                                          "uname -m"        => "x86_64",
                                                          "uname -o"        => "GNU/Linux",
                                                          "uname -r"        => "3.19.0-32-generic",
                                                          "uname -s"        => "Linux",
                                                        },
                                          },
      "func.precision"                 => 0,
      "func.scenario_module"           => "Bencher::Scenario::SetOperationModules",
      "func.scenario_module_md5sum"    => "b31e505b58492280b3e3656a1606411d",
      "func.scenario_module_mtime"     => 1452012061,
      "func.scenario_module_sha1sum"   => "b0781bcbd97f053b81f02d088701b88762dd6f67",
      "func.scenario_module_sha256sum" => "be6a97ab60d6ad93a0e82a46900f5d164f2ded8fcbc7aa44c6ccb40c55549061",
      "func.time_end"                  => 1485324777.42815,
      "func.time_factor"               => 1000,
      "func.time_start"                => 1485324775.34605,
      "table.field_aligns"             => ["left", "left", "number", "number", "number", "number", "number"],
      "table.field_units"              => [undef, undef, "/s", "ms"],
      "table.fields"                   => [
                                            "participant",
                                            "dataset",
                                            "rate",
                                            "time",
                                            "vs_slowest",
                                            "errors",
                                            "samples",
                                          ],
    },
  ],
];

1;
# ABSTRACT: Benchmark Perl set operation (union, intersection, diff, symmetric diff) modules

=head1 DESCRIPTION

This module is automatically generated by Pod::Weaver::Plugin::Bencher::Scenario during distribution build.

A Bencher::ScenarioR::* module contains the raw result of sample benchmark and might be useful for some stuffs later.

